### Hierarchy

- unknown
  - CancelOfferRequest

## Index

### Constructors

- constructor

### Methods

- getId
- serializeBinary
- setId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CancelOfferRequest(): CancelOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns CancelOfferRequest

## Methods

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1544

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1547

  #### Returns Uint8Array

### setId

- setId(value: string): CancelOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1545

  #### Parameters

  - ##### value: string

  #### Returns CancelOfferRequest

### toObject

- toObject(includeInstance?: boolean): CancelOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1548

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CancelOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CancelOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1551

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CancelOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CancelOfferRequest, reader: BinaryReader): CancelOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1552

  #### Parameters

  - ##### message: CancelOfferRequest

  - ##### reader: BinaryReader

  #### Returns CancelOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CancelOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1550

  #### Parameters

  - ##### message: CancelOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CancelOfferRequest ): CancelOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1549

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CancelOfferRequest

  #### Returns CancelOfferRequest . AsObject

Generated using TypeDoc